import java.util.*;

public class Exercice1
{
    // Programme principal
    //
    static public void main(String args[])
    {
        Terminal.ecrireString("Saisir la phrase: ");
        String phrase = Terminal.lireString();   // Saisi
        String[] mots = isolerMots(phrase);      // Traitement
        for(String m:mots)                       // Affichage
            Terminal.ecrireStringln(m);
    }

    // Méthode qui isole de maniere unique chacun des mots d'une phrase
    //
    static String[] isolerMots(String phrase)
    {
        //  On isole les mots
        StringTokenizer strtok = new StringTokenizer(phrase);
        int n = strtok.countTokens();

        // Tableau qui contiendra les mots
        //  au maximume ce tableau est de la dimension des mots de la phrase
        ArrayList<String> tabMots = new ArrayList<String>();

        // On parcourt les mots de la phrase et on l'ajoute dans le 
        //  tableau de mot s'il n'existe pas deja
        //
        while(strtok.hasMoreTokens())
        {
            String mot = strtok.nextToken();
            
            // On recherche s'il n'existe pas deja
            if (! tabMots.contains(mot))
                tabMots.add(mot);
        }
			String[] t = new String[tabMots.size()];
			tabMots.toArray(t);
			return(t);
    }
}

